Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Scheduling

Update Calendar

PATCH
/v1/calendars/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length
scheduling_enabled?boolean
calendar_resource_id?string
Formatuuid

Response Body

application/json

curl -X PATCH "https://api.getmateo.com/v1/calendars/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "name": "string",  "external_id": "string",  "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",  "calendar_resource_id": "b91c4c5a-de69-4276-8281-8d05c6c9e77d",  "type": "provider",  "is_default": true,  "scheduling_enabled": true,  "yes_status_id": "b6b6528e-788f-4a4d-a6c8-64c1c612ade2",  "no_status_id": "477cd436-3b4e-4818-a9d2-2216ccb162b5",  "maybe_status_id": "e92edbf2-e54f-452d-a748-1b96f0474ede",  "noreply_status_id": "40575e6a-32c0-4359-ba17-1fcf9f26f963",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}